import { h } from 'vue';
import { NAvatar, NTag } from 'naive-ui';
import { timestampToTime } from '@/utils/dateUtil';

export const idColumn = {
  title: '玩家ID',
  key: 'playerid',
  width: 100,
};

export const createtimeColumn = {
  title: '注册时间',
  key: 'createtime',
  width: 180,
  render: (rows, _) => {
    return timestampToTime(rows.createtime);
  },
};

export const columns = [
  {
    title: '拉黑ID',
    key: 'id',
    width: 120,
  },
  idColumn,
  {
    title: '账号ID',
    key: 'acc_id',
    width: 120,
  },
  {
    title: '昵称',
    key: 'nickName',
    width: 120,
  },
  {
    title: '头像',
    key: 'imgUrl',
    width: 80,
    render(row) {
      return h(NAvatar, {
        size: 32,
        src: row.imgUrl,
      });
    },
  },
  // {
  //   title: '账号',
  //   key: 'account',
  //   width: 100,
  // },
  // {
  //   title: 'openId',
  //   key: 'openId',
  //   width: 200,
  // },
  {
    title: '所在服务器',
    key: 'serverName',
    width: 150,
  },
  // {
  //   title: '玩家等级',
  //   key: 'level',
  //   width: 150,
  // },
  // {
  //   title: '等级',
  //   key: 'level',
  //   width: 150,
  // },
  {
    title: '操作状态',
    key: 'ban',
    width: 150,
    render: (rows, _) => {
      if (rows.ban == 0) {
        return '解除拉黑';
      }
      if (rows.ban == 1) {
        return '自动拉黑';
      }
      return '仅上报记录';
    },
  },
  {
    title: '拉黑原因',
    key: 'reason',
    width: 150,
  },
  {
    title: '操作时间',
    key: 'time',
    render: (rows, _) => {
      return timestampToTime(rows.time);
    },
    width: 180,
  },
  // {
  //   title: '邀请人',
  //   key: 'inviter',
  //   width: 160,
  //   render: (rows, _) => {
  //     return rows.inviter > 0 ? rows.inviter : '--';
  //   },
  // },
  // createtimeColumn,
  {
    title: '当前账号状态',
    key: 'curBan',
    width: 100,
    // sortOrder: false,
    // sorter: 'default',
    render(row) {
      return h(
        NTag,
        {
          style: {
            marginRight: '6px',
          },
          type: row.curBan == 1 ? 'error' : 'info',
          bordered: false,
        },
        {
          default: () => (row.curBan == 1 ? '封禁' : '正常'),
        }
      );
    },
  },
];
